Support » Installing WordPress » 3.0 Upgrade fatal error when using “WP-Ban” plugin

  • I’m not a coder, but figured this one out. I’ve got two WP blogs running the same theme. Both were upgraded this morning from 2.9.2, using a simplescripts upgrade via my host (bluehost.com). One worked fine. The second returns a fatal error, reproduced here:

    Fatal error: Call to a member function add_rewrite_tag() on a non-object in /home6/michaev1/public_html/wp-includes/taxonomy.php on line 289

    The culprit? All plugins are the same on each site except the site that didn’t work was running WP-Ban.

    I restored, deactivated the plugin and retried the upgrade. It worked.

    The developer stopped updating his plugins a while ago. I suppose WP Ban is down for the count.

Viewing 3 replies - 1 through 3 (of 3 total)
  • esmi

    (@esmi)

    Forum Moderator

    Thanks for the info. I’ve just added it to the list of known 3.0 problems:

    http://wordpress.org/support/topic/411649

    Moderator cubecolour

    (@numeeja)

    ɹoʇɐɹǝpoɯ

    wp-ban is working fine a site I installed it on: http://www.o5b.co.uk

    When I upgraded, I deactivated all plugins, performed the upgrade, then reactivated the plugins.

    Maybe the problem was caused as you ran the upgrade without deactivating your plugins? Perhaps wp-ban will work without causing any issues if you reactivated it now the upgrade is complete?

    I don’t get fatal errors, just a malfunctional plugin when I want to use it in a WP 3.0 network, it just doesn’t work, cleaning up settings the whole time. It doesn’t matter if I network-activate it or activate it per site.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘3.0 Upgrade fatal error when using “WP-Ban” plugin’ is closed to new replies.